import axios from '@/libs/axios.js'
 
// 获取图片验证码
export const getCaptcha = randomCode => {
  return axios.request({
    url: `captcha/create/${randomCode}`,
    method: 'get',
    responseType: 'blob',
  }, true)
}
// 发送短信验证码
export const sendVerifyCode = params => {
  return axios.request({
    url: 'sendVerifiCode',
    method: 'post',
    data: params
  }, true)
}
export const loginPhone = params => {
  return axios.request({
    url: `loginPhone`,
    method: 'post',
	data: params
  },true)
};
// 乐豆使用明细
export const ldUsedQuery = params => { 
  let url = `customerGoldLog/queryByMonth`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 核销
export const sellerReceive = params => { 
  let url = `seller/receive`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 查询销售商信息
export const sellerFindByPartnerNo = params => { 
  let url = `seller/findByPartnerNo/${params.officialPartnerNo}`
  return axios.request({
    url: url,
    method: 'get'
  })
}