import axios from '@/libs/axios.js';

// 获取首页网点列表
export const stationList = params => {
  return axios.request({
    url: `station/query`,
    method: 'post',
	data: params
  })
}
// 网点详情
export const stationDetail = params => {
  return axios.request({
    url: `station/findById/${params.id}`,
    method: 'get'
  })
}
// 查询网点的设备列表
export const stationDevice = params => {
  return axios.request({
    url: `device/findById/${params.stationNo}`,
    method: 'get'
  })
}